Subject: bug#52063: 28.0.60; Confusing presentation of lambda

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Nov 2021 15:17:39 +0100

Stefan Monnier <[email-masked]> writes:

> I object to linking the two issues because one is about the `lambda`
> expressions in source code and the other is about runtime representation
> of function values and the two are fundamentally distinct (e.g. most
> runtime function values are compiled).

I agree in principle, but the original confusion here was that the
runtime representation didn't resemble the source code sufficiently.
You suggested making the runtime representation more similar to the
source code, and I suggested making it even more similar.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no